
. Tools/environment.sh

echo autosaving mcd and mct, to config dir

if [ -f config/autosaved_mcd.txt ]
then
	echo moving away old mcd to config/autosaved_old_d.txt
	mv config/autosaved_mcd.txt config/autosaved_old_d.txt
fi

if [ -f config/autosaved_mct.txt ]
then
	echo moving away old mct to config/autosaved_old_t.txt
	mv config/autosaved_mct.txt config/autosaved_old_t.txt
fi

Tools/read_config.sh config/autosaved_mcd.txt config/autosaved_mct.txt

# TODO: check for sanity of the mcd,mct dumps, eg. non-0 length

echo If you don't like default temperature sensor calibration,
echo press CTRL-c now and run tempsensor_change.bat (unless you already did so)

echo For the new firmware,
echo you might need to apply changes to config and tables manually,
echo than run generate_config.bat
echo Don't forget to execute upload_config.bat (after firmware uploaded).
echo see Readme.htm

echo press ENTER for firmware upload or CTRL-c to abort
echo -------------------------
read dummy

if [ -f firmware/vems.hex ]
then
	tools/megaloader.exe firmware/vems.hex -wtE -c $COM_PORT
else
	echo Something went really wrong with your package, NO vems.hex file in firmware dir
	
fi

echo press ENTER
read dummy
